Create Transfer Session
curl --request POST \
--url https://api.example.com/{version}/sessions/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_wallet_id": 123,
"to_counterparty_id": 123,
"amount": 1.01,
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/{version}/sessions/transfer"
payload = {
"from_wallet_id": 123,
"to_counterparty_id": 123,
"amount": 1.01,
"currency": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_wallet_id: 123,
to_counterparty_id: 123,
amount: 1.01,
currency: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/{version}/sessions/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/sessions/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from_wallet_id' => 123,
'to_counterparty_id' => 123,
'amount' => 1.01,
'currency' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"from_wallet_id": 123,
"to_counterparty_id": 123,
"amount": 1.01,
"currency": "<string>",
"status": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sessions
Create Transfer Session
POST
/
{version}
/
sessions
/
transfer
Create Transfer Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
CreateTransferSessionPayload
Response
Successful Response
TransferSessionResponse
A positive, non-zero amount.
Required range:
x >= 0.01Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Last modified on June 23, 2026
Was this page helpful?
